### Method

# PangoFT2 FontMap set_default_substitute

deprecated: 1.46 since: 1.2

#### Declaration [src]

    void
    pango_ft2_font_map_set_default_substitute (
      PangoFT2FontMap* fontmap,
      PangoFT2SubstituteFunc func,
      gpointer data,
      GDestroyNotify notify
    )

#### Description [src]

Sets a function that will be called to do final configuration substitution on a `FcPattern` before it is used to load the font.

This function can be used to do things like set hinting and antialiasing options.

Available since: 1.2

Deprecated since: 1.46

Use `pango_fc_font_map_set_default_substitute()` instead.

#### Parameters

`func`

  Type: `PangoFT2SubstituteFunc`

  Function to call to to do final config tweaking on `FcPattern` objects.

`data`

  Type: `gpointer`

  Data to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`notify`

  Type: `GDestroyNotify`

  Function to call when `data` is no longer used.